complete -c release-plz -n "__fish_use_subcommand" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c release-plz -n "__fish_use_subcommand" -f -a "update" -d 'Update packages version and changelogs based on commit messages'
complete -c release-plz -n "__fish_use_subcommand" -f -a "release-pr" -d 'Create a Pull Request representing the next release. The Pull request contains updated packages version and changelog based on commit messages. Close old PRs opened by release-plz, too'
complete -c release-plz -n "__fish_use_subcommand" -f -a "release" -d 'For each package not published to the cargo registry yet: - create and push upstream a tag in the format of `<package>-v<version>`. - publish the package to the cargo registry. You can run this command in the CI on every commit in the main branch'
complete -c release-plz -n "__fish_use_subcommand" -f -a "generate-completions" -d 'Generate command autocompletions for various shells'
complete -c release-plz -n "__fish_use_subcommand" -f -a "check-updates" -d 'Check if a newer version of release-plz is available'
complete -c release-plz -n "__fish_use_subcommand" -f -a "generate-schema" -d 'Write the JSON schema of the release-plz.toml configuration to .schema/latest.json'
complete -c release-plz -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c release-plz -n "__fish_seen_subcommand_from update" -l project-manifest -d 'Path to the Cargo.toml of the project you want to update. If not provided, release-plz will use the Cargo.toml of the current directory. Both Cargo workspaces and single packages are supported' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from update" -l registry-project-manifest -d 'Path to the Cargo.toml contained in the released version of the project you want to update. If not provided, the packages of your project will be compared with the ones published in the cargo registry. Normally, this parameter is used only if the published version of your project is already available locally. For example, it could be the path to the project with a `git checkout` on its latest tag. The git history of this project should be behind the one of the project you want to update' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from update" -s p -l package -d 'Package to update. Use it when you want to update a single package rather than all the packages contained in the workspace' -r
complete -c release-plz -n "__fish_seen_subcommand_from update" -l release-date -d 'Date of the release. Format: %Y-%m-%d. It defaults to current Utc date' -r
complete -c release-plz -n "__fish_seen_subcommand_from update" -l registry -d 'Registry where the packages are stored. The registry name needs to be present in the Cargo config. If unspecified, crates.io is used' -r
complete -c release-plz -n "__fish_seen_subcommand_from update" -l changelog-config -d 'Path to the git-cliff configuration file. If not provided, `dirs::config_dir()/git-cliff/cliff.toml` is used if present' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from update" -l repo-url -d 'GitHub/Gitea repository url where your project is hosted. It is used to generate the changelog release link. It defaults to the url of the default remote' -r
complete -c release-plz -n "__fish_seen_subcommand_from update" -l config -d 'Path to the release-plz config file. Default: `./release-plz.toml`. If no config file is found, the default configuration is used' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from update" -l no-changelog -d 'Don\'t create/update changelog'
complete -c release-plz -n "__fish_seen_subcommand_from update" -s u -l update-deps -d 'Update all the dependencies in the Cargo.lock file by running `cargo update`. If this flag is not specified, only update the workspace packages by running `cargo update --workspace`'
complete -c release-plz -n "__fish_seen_subcommand_from update" -l allow-dirty -d 'Allow dirty working directories to be updated. The uncommitted changes will be part of the update'
complete -c release-plz -n "__fish_seen_subcommand_from update" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from update" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l project-manifest -d 'Path to the Cargo.toml of the project you want to update. If not provided, release-plz will use the Cargo.toml of the current directory. Both Cargo workspaces and single packages are supported' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l registry-project-manifest -d 'Path to the Cargo.toml contained in the released version of the project you want to update. If not provided, the packages of your project will be compared with the ones published in the cargo registry. Normally, this parameter is used only if the published version of your project is already available locally. For example, it could be the path to the project with a `git checkout` on its latest tag. The git history of this project should be behind the one of the project you want to update' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -s p -l package -d 'Package to update. Use it when you want to update a single package rather than all the packages contained in the workspace' -r
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l release-date -d 'Date of the release. Format: %Y-%m-%d. It defaults to current Utc date' -r
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l registry -d 'Registry where the packages are stored. The registry name needs to be present in the Cargo config. If unspecified, crates.io is used' -r
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l changelog-config -d 'Path to the git-cliff configuration file. If not provided, `dirs::config_dir()/git-cliff/cliff.toml` is used if present' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l repo-url -d 'GitHub/Gitea repository url where your project is hosted. It is used to generate the changelog release link. It defaults to the url of the default remote' -r
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l config -d 'Path to the release-plz config file. Default: `./release-plz.toml`. If no config file is found, the default configuration is used' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l git-token -l github-token -d 'Git token used to create the pull request' -r
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l backend -d 'Kind of git host where your project is hosted' -r -f -a "{github	'',gitea	''}"
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l no-changelog -d 'Don\'t create/update changelog'
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -s u -l update-deps -d 'Update all the dependencies in the Cargo.lock file by running `cargo update`. If this flag is not specified, only update the workspace packages by running `cargo update --workspace`'
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -l allow-dirty -d 'Allow dirty working directories to be updated. The uncommitted changes will be part of the update'
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from release-pr" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from release" -l project-manifest -d 'Path to the Cargo.toml of the project you want to release. If not provided, release-plz will use the Cargo.toml of the current directory. Both Cargo workspaces and single packages are supported' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release" -l registry -d 'Registry where you want to publish the packages. The registry name needs to be present in the Cargo config. If unspecified, the `publish` field of the package manifest is used. If the `publish` field is empty, crates.io is used' -r
complete -c release-plz -n "__fish_seen_subcommand_from release" -l token -d 'Token used to publish to the cargo registry' -r
complete -c release-plz -n "__fish_seen_subcommand_from release" -l repo-url -d 'GitHub/Gitea/Gitlab repository url where your project is hosted. It is used to create the git release. It defaults to the url of the default remote' -r
complete -c release-plz -n "__fish_seen_subcommand_from release" -l git-token -d 'Git token used to publish the GitHub release' -r
complete -c release-plz -n "__fish_seen_subcommand_from release" -l backend -d 'Kind of git backend' -r -f -a "{github	'',gitea	'',gitlab	''}"
complete -c release-plz -n "__fish_seen_subcommand_from release" -l config -d 'Path to the release-plz config file. Default: `./release-plz.toml`. If no config file is found, the default configuration is used' -r -F
complete -c release-plz -n "__fish_seen_subcommand_from release" -l dry-run -d 'Perform all checks without uploading'
complete -c release-plz -n "__fish_seen_subcommand_from release" -l no-verify -d 'Don\'t verify the contents by building them. When you pass this flag, `release-plz` adds the `--no-verify` flag to `cargo publish`'
complete -c release-plz -n "__fish_seen_subcommand_from release" -l allow-dirty -d 'Allow dirty working directories to be packaged. When you pass this flag, `release-plz` adds the `--allow-dirty` flag to `cargo publish`'
complete -c release-plz -n "__fish_seen_subcommand_from release" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from release" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from generate-completions" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from generate-completions" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from check-updates" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from check-updates" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from generate-schema" -s v -l verbose -d 'Print source location and additional information in logs. To change the log level, use the `RUST_FLAG` environment variable'
complete -c release-plz -n "__fish_seen_subcommand_from generate-schema" -s h -l help -d 'Print help'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "update" -d 'Update packages version and changelogs based on commit messages'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "release-pr" -d 'Create a Pull Request representing the next release. The Pull request contains updated packages version and changelog based on commit messages. Close old PRs opened by release-plz, too'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "release" -d 'For each package not published to the cargo registry yet: - create and push upstream a tag in the format of `<package>-v<version>`. - publish the package to the cargo registry. You can run this command in the CI on every commit in the main branch'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "generate-completions" -d 'Generate command autocompletions for various shells'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "check-updates" -d 'Check if a newer version of release-plz is available'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "generate-schema" -d 'Write the JSON schema of the release-plz.toml configuration to .schema/latest.json'
complete -c release-plz -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from release-pr; and not __fish_seen_subcommand_from release; and not __fish_seen_subcommand_from generate-completions; and not __fish_seen_subcommand_from check-updates; and not __fish_seen_subcommand_from generate-schema; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
